Subject: Re: OOPS bug KERNEL LINUX- Version 2.6.26

From: "John W. Linville" <[email-masked]>
Date: Mon, 22 Sep 2008 18:27:16 -0400

On Tue, Sep 23, 2008 at 12:25:03AM +0200, Ivo van Doorn wrote:
> Hi,
> 
> > > 1. Problem with usb-wireless-key 
> > > 2. I can't find my device typing ifconfig -a or iwconfig I don't find any wireless attached device. But I have my usb wireless connected. A belkin usb wireless key.Before, with the kernel 2.6.25 all worked well
> > > 3. nothing
> > > 4. Linux version 2.6.26 (root@clementino) (gcc version 4.1.2 20061115 (prerelease) (Debian 4.1.1-21)) #1 PREEMPT Mon Sep 22 15:57:45 CEST 2008
> > > 5.
> 
> You missed the message from rt2x00 2 lines above this trace, which undoubtly have said something like:
> 	"Invalid RT chipset detected."
> which is triggered when rt73usb is loaded for a device it does not support
> 
> The current workaround for this issue is blacklisting rt73usb and making sure the driver
> which is required for your driver is loaded instead.
> 
> I'll look into the reason why this actually triggers a NULL pointer, since that is obviously a nasty bug.

-stable needs a patch similar to the one here:

	http://people.redhat.com/linville/kernels/rhel5/patches/jwltest-rt2x00lib-probe-fail.patch

John
-- 
John W. Linville		Linux should be at the core
[email-masked]			of your literate lifestyle.
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html